@charset "utf-8";

/*-----------------------------------------------
    dateTimePicker用の変数
-----------------------------------------------*/
:root {
    /* カラー */
    --dateTimePicker_bgColor: #f0f3f6;
    --dateTimePicker_pager_bgColor: #030f27;
    --dateTimePicker_pager_arrow_color: #fff;

    --dateTimePicker_weekday_bgColor: #f9f9f9;
    --dateTimePicker_weekday_sun_bgColor: #fde8ee;
    --dateTimePicker_weekday_sat_bgColor: #d5f2fb;

    --dateTimePicker_td_color: #fff;
    --dateTimePicker_noDate_bgColor: #fff;
    --dateTimePicker_calendar_cell_bgColor: #f9f9f9;
    --dateTimePicker_calendar_cell_active_bgColor: #fff;
    --dateTimePicker_calendar_cell_active_color: #1641b6;
    --dateTimePicker_calendar_cell_closed_color: #eeeeee;
    --dateTimePicker_calendar_cell_none_bgColor: #fff;

    --dateTimePicker_available_color: #1641b6;
    --dateTimePicker_available_on_bgColor: #C30F18;
    --dateTimePicker_available_on_shadow_bgColor: #860B11;
    --dateTimePicker_available_on_color: #FF0;

    --dateTimePicker_end_color: #000;
    --dateTimePicker_disabled_color: #000;

    /* フォントサイズ（PC） */
    --pcFontSize12: 1.2rem;
    --pcFontSize13: 1.3rem;
    --pcFontSize15: 1.5rem;
    --pcFontSize16: 1.6rem;
    --pcFontSize18: 1.8rem;
    --pcFontSize27: 2.7rem;

    /* line-height（PC） */
    --pcLineHeight12_24: calc(24 / 12);
    --pcLineHeight13_20: calc(20 / 13);
    --pcLineHeight16_24: calc(24 / 16);
    --pcLineHeight18_18: calc(18 / 18);

    /* フォントサイズ（SP）*/
    --spFontSize10: calc((10 / 375) * var(--widthBase));
    --spFontSize12: calc((12 / 375) * var(--widthBase));
    --spFontSize13: calc((13 / 375) * var(--widthBase));
    --spFontSize14: calc((14 / 375) * var(--widthBase));
    --spFontSize15: calc((15 / 375) * var(--widthBase));
    --spFontSize17: calc((17 / 375) * var(--widthBase));

    /* line-height（SP） */
    --spLineHeight10_20: calc(20 / 10);
    --spLineHeight12_18: calc(18 / 12);
    --spLineHeight14_21: calc(21 / 14);
    --spLineHeight17_17: calc(17 / 17);
}

/*-----------------------------------------------
    dateTimePicker
-----------------------------------------------*/
/* 基本レイアウト */
.secFormCalendar {
    width: 116rem;
    margin: 0 auto;
    display: flex;
    padding: 1.6rem 0;
    background: linear-gradient(to right, var(--selectColor), var(--selectColor)) left bottom / 100% 0.1rem no-repeat;
}
#dateTimePicker {
    position: relative;
}
#dateTimePicker input[type="text"] {
    position: absolute;
    bottom: 0;
    width: 0;
    height: 0;
    padding: 0;
    font-size: 0;
    left: 0;
}

/* カレンダー表示制御 */
#dateTimePicker .boxCalendar {
    display: none;
}
#dateTimePicker .boxCalendar.show {
    display: block;
}

/* 月表示エリア */
#dateTimePicker .boxMonth {
    position: relative;
    background-color: var(--dateTimePicker_bgColor);
}

/* ページャーボタン */
#dateTimePicker .btnPager {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 8rem;
    height: 3.6rem;
    border-radius: 5rem;
    margin: auto 0;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: var(--pcFontSize13);
    color: var(--whiteColor);
    background-color: var(--dateTimePicker_pager_bgColor);
}
#dateTimePicker .btnPager.off {
    display: none;
}

/* 矢印ボタン */
#dateTimePicker [data-calendar-btn="prev"] {
    left: 2rem;
}
#dateTimePicker [data-calendar-btn="next"] {
    right: 2rem;
}
#dateTimePicker [data-calendar-btn="next"]::before,
#dateTimePicker [data-calendar-btn="prev"]::before {
    position: absolute;
    content: '';
    top: calc(50% - 0.35rem);
    width: 0.6rem;
    height: 0.6rem;
    margin: auto;
    border: 0.1rem solid var(--dateTimePicker_pager_arrow_color);
    border-width: 0.1rem 0.1rem 0 0;
}
#dateTimePicker [data-calendar-btn="prev"]::before {
    left: 1.4rem;
    transform: rotate(-135deg);
}
#dateTimePicker [data-calendar-btn="next"]::before {
    right: 1.4rem;
    transform: rotate(45deg);
}

/* 月表示テキスト */
#dateTimePicker .txtMonth {
    color: var(--textColor);
    font-size: var(--pcFontSize18);
    font-weight: bold;
    text-align: center;
    padding: 2rem 0;
    border: 0.1rem solid var(--dateTimePicker_pager_arrow_color);
    border-width: 0 0.1rem 0 0.1rem;
}

/* カレンダーテーブル */
#dateTimePicker .tableCalendar {
    width: 100%;
    table-layout: fixed;
}

/* 日付表示 */
#dateTimePicker .tableCalendar .date {
    padding: 2rem 0 0.7rem;
    font-size: var(--pcFontSize16);
    line-height: var(--pcLineHeight16_24);
    font-weight: bold;
}
#dateTimePicker .tableCalendar td .txt {
    font-size: var(--pcFontSize18);
    line-height: var(--pcLineHeight18_18);
    font-weight: bold;
    margin-top: 0.2rem;
    padding-bottom: 1.7rem;
}
#dateTimePicker .tableCalendar .btnWrapper .txt,
#dateTimePicker .tableCalendar td .txt.end {
    margin-bottom: 0.8rem !important;
}
#dateTimePicker .tableCalendar .btnWrapper .txt.on {
    margin: -0.4rem auto 0.5rem !important;
}

/* 曜日セル */
#dateTimePicker .tableCalendar .weekday_cell {
    width: calc(100% / 7);
    padding: 1.8rem 0 2rem;
    font-size: var(--pcFontSize15);
    color: var(--textColor);
    font-weight: bold;
    text-align: center;
    background-color: var(--dateTimePicker_weekday_bgColor);
    border: 0.3rem solid var(--dateTimePicker_pager_arrow_color);
}
#dateTimePicker .tableCalendar .weekday_cell:nth-child(1) {
    background-color: var(--dateTimePicker_weekday_sun_bgColor);
    border-left: 0;
}
#dateTimePicker .tableCalendar .weekday_cell:nth-child(7) {
    background-color: var(--dateTimePicker_weekday_sat_bgColor);
    border-right: 0;
}

/* 日付セル */
#dateTimePicker td {
    height: 8rem;
    font-size: var(--pcFontSize16);
    text-align: center;
    vertical-align: top;
    border: 0.3rem solid var(--dateTimePicker_td_color);
}
#dateTimePicker td:first-child {
    border-left: 0;
}
#dateTimePicker td:last-child {
    border-right: 0;
}

/* ボタンラッパー */
#dateTimePicker .btnWrapper {
    position: relative;
    height: 100%;
}
#dateTimePicker .btnWrapper .dayBtn {
    display: block;
    padding-bottom: 0.9rem;
}

/* 日付ボタン */
#dateTimePicker .dayBtn .txt {
    position: relative;
    font-size: 0 !important;
    margin: 0 auto !important;
    width: 2rem;
    height: 2rem;
    cursor: pointer;
    transition: opacity 0.2s ease-out;
}
#dateTimePicker .dayBtn .txt:hover {
    opacity: 0.8;
}
#dateTimePicker .dayBtn .txt::before,
#dateTimePicker .dayBtn .txt.end::after {
    position: absolute;
    content: '';
    margin: auto;
    display: block;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 2rem;
    height: 2rem;
}
#dateTimePicker .dayBtn .txt.middle::before {
    content: '△';
    top: 0.3rem;
    font-size: var(--pcFontSize17);
    font-weight: bold;
}

/* 通常の○は middle 以外に適用 */
#dateTimePicker .dayBtn .txt:not(.end):not(.middle):not(.notApplicable)::before{
    border: 2px solid var(--dateTimePicker_available_color);
    border-radius: 50%;
}

/* 予約可能 */
#dateTimePicker .dayBtn .txt.on {
    background: var(--dateTimePicker_available_on_bgColor);
    box-shadow: 0 -0.2rem var(--dateTimePicker_available_on_shadow_bgColor) inset;
    color: var(--dateTimePicker_available_on_color);
    font-size: var(--pcFontSize15) !important;
    padding: 0.5rem 0 0.6rem;
    width: 80%;
    height: auto;
    font-weight: bold;
}
#dateTimePicker .dayBtn .txt.on::before {
    display: none;
}

/* 予約不可 */
#dateTimePicker .dayBtn .txt.end {
    cursor: default;
    opacity: 1 !important;
}
#dateTimePicker .dayBtn .txt.end::before,
#dateTimePicker .dayBtn .txt.end::after {
    width: 0.2rem !important;
    background-color: var(--dateTimePicker_end_color);
    transform: rotate(45deg);
}
#dateTimePicker .dayBtn .txt.end::after {
    transform: rotate(-45deg);
}
#dateTimePicker .dayBtn .txt.notApplicable::before{
    content: "--";
    font-size: var(--pcFontSize18);
    font-weight: bold;
}

/* 時間選択ボックス */
#dateTimePicker .tableCalendar .boxTime {
    display: none;
    width: 100%;
    background: rgba(0,0,0,.8);
    color: var(--dateTimePicker_td_color);
    position: absolute;
    top: 100%;
    left: 0;
    padding: 1.2rem;
    z-index: 10;
}
#dateTimePicker .tableCalendar .boxTime .item {
    text-align: left;
    cursor: pointer;
    background: var(--dateTimePicker_available_color);
    position: relative;
}
#dateTimePicker .tableCalendar .boxTime .item + .item {
    margin-top: 0.5rem;
}
#dateTimePicker .tableCalendar .boxTime .item::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0.5rem;
    width: 1rem;
    height: 1rem;
    border: 0.1rem solid var(--dateTimePicker_td_color);
    border-radius: 50%;
    margin: auto;
}
#dateTimePicker .tableCalendar .boxTime .item .inner {
    display: block;
    font-size: var(--pcFontSize12);
    line-height: var(--pcLineHeight12_24);
    text-align: left;
    padding: 0.2rem 0.5rem;
    cursor: pointer;
}
/* #dateTimePicker .tableCalendar .boxTime .item .inner::after {
    content: "～";
    display: inline-block;
    vertical-align: middle;
    padding-left: 0.2rem;
} */
#dateTimePicker .tableCalendar .boxTime .item.disabled {
    background: var(--dateTimePicker_disabled_color);
}
#dateTimePicker .tableCalendar .boxTime .item.middle::after {
    position: absolute;
    content: "△";
    top: 0.9rem;
    bottom: 0;
    right: 0.4rem;
    margin: auto;
    font-size: var(--pcFontSize12);
    color: var(--dateTimePicker_td_color);
}
#dateTimePicker .tableCalendar .boxTime .item.middle::before {
    display: none;
}
#dateTimePicker .tableCalendar .boxTime .item.disabled::after {
    position: absolute;
    content: "×";
    top: 0.9rem;
    bottom: 0;
    right: 0.4rem;
    margin: auto;
    font-size: var(--pcFontSize12);
    color: var(--dateTimePicker_td_color);
}
#dateTimePicker .tableCalendar .boxTime .item.disabled::before {
    display: none;
}
#dateTimePicker .tableCalendar .boxTime .item:not(.disabled):hover {
    background: var(--dateTimePicker_available_color);
    color: var(--dateTimePicker_td_color);
}
#dateTimePicker .tableCalendar .boxTime .item label {
    display: block;
    cursor: pointer;
}
#dateTimePicker .tableCalendar .timeRadio {
    display: none;
}
@media only screen and (max-width: 1215px) {
    /* カレンダー */
    #dateTimePicker .boxCalendar {
        width: 100%;
    }

    /* ページャー */
    #dateTimePicker .btnPager {
        height: 2.8rem;
        font-size: var(--spFontSize10);
        width: 6rem;
    }
    #dateTimePicker [data-calendar-btn="next"] {
        right: 0;
    }
    #dateTimePicker [data-calendar-btn="prev"] {
        left: 0;
    }

    /* 月表示 */
    #dateTimePicker .txtMonth {
        padding: 1.5rem 0 0;
        font-size: var(--spFontSize13);
        height: 4rem;
    }

    /* テーブル */
    #dateTimePicker .tableCalendar {
        margin: 0.1rem 0;
        position: relative;
    }

    /* 日付表示 */
    #dateTimePicker .tableCalendar .date {
        padding: 1.1rem 0 0.5rem;
        font-size: var(--spFontSize12);
        line-height: var(--spLineHeight12_18);
    }

    /* 曜日セル */
    #dateTimePicker .tableCalendar .weekday_cell {
        padding: 0.6rem 0;
        font-size: var(--spFontSize12);
    }

    /* 日付セル */
    #dateTimePicker .tableCalendar td {
        height: 4.8rem;
        font-size: var(--spFontSize12);
    }
    #dateTimePicker .tableCalendar td .txt {
        font-size: var(--spFontSize17);
        line-height: var(--spLineHeight17_17);
        padding-bottom: 1.3rem;
        margin-bottom: 0.4rem !important;
    }

    /* ボタンラッパー */
    #dateTimePicker .btnWrapper {
        position: unset;
    }

    /* 日付ボタン */
    #dateTimePicker .dayBtn .txt,
    #dateTimePicker .dayBtn .txt::before,
    #dateTimePicker .dayBtn .txt.end::after {
        width: 1.8rem;
        height: 1.8rem;
    }
    #dateTimePicker .dayBtn .txt.on {
        font-size: var(--spFontSize10) !important;
        transform: scale(0.95);
    }
    #dateTimePicker .dayBtn .txt.end::before{
        font-size: var(--spFontSize17);
    }

    /* 時間選択ボックス */
    #dateTimePicker .tableCalendar .boxTime {
        width: 100%;
        /* height: 100%; */
        /* background: rgba(0, 0, 0, 0.5); */
        top: 50%;
        transform: translateY(-50%);
        padding: 0.6rem;
    }
    #dateTimePicker .tableCalendar .boxTime .item .inner {
        font-size: var(--spFontSize10);
        line-height: var(--spLineHeight10_20);
        padding: 0.4rem 0.6rem;
    }
    #dateTimePicker .tableCalendar td:nth-child(6) .boxTime,
    #dateTimePicker .tableCalendar td:nth-child(7) .boxTime {
        left: auto;
        right: 0;
    }
    #dateTimePicker .tableCalendar .btnWrapper .txt.on {
        margin: 0.2rem auto 0 !important;
    }
    #dateTimePicker .tableCalendar .dayBtn .txt.on.none,
    #dateTimePicker .tableCalendar .dayBtn .txt.end {
        font-size: 0;
        font-weight: normal;
        margin-top: -0.5rem;
    }
    #dateTimePicker .tableCalendar .dayBtn .txt.end::after {
        font-weight: 700;
    }
    #dateTimePicker .tableCalendar .dayBtn .txt .nowrap {
        white-space: nowrap;
    }
    #dateTimePicker .tableCalendar .boxTime .item::before,
    #dateTimePicker .tableCalendar .boxTime .item.disabled::after {
        top: 0;
        right: 0.6rem;
        width: 0.9rem;
        height: 0.9rem;
    }
    #dateTimePicker .tableCalendar .boxTime .item.disabled::after {
        right: 0.9rem;
    }
    #dateTimePicker .dayBtn .txt {
        margin-top: 0.1rem !important;
    }
    #dateTimePicker .tableCalendar .dayBtn {
        height: 100%;
    }
    #dateTimePicker tbody {
        display: table-row-group;
    }
    #dateTimePicker tr {
        display: table-row;
    }
    #dateTimePicker .weekday_cell,
    #dateTimePicker td {
        display: table-cell;
    }
}

/* noDate */
#dateTimePicker .noDate {
    background-color: var(--dateTimePicker_noDate_bgColor);
}

/* calendar_cell */
#dateTimePicker .calendar_cell {
    background-color: var(--dateTimePicker_calendar_cell_bgColor);
    cursor: pointer;
}
#dateTimePicker .calendar_cell.closed {
    background-color: var(--dateTimePicker_calendar_cell_closed_color);
    cursor: default;
}
#dateTimePicker .calendar_cell.none {
    background-color: var(--dateTimePicker_calendar_cell_none_bgColor);
    cursor: default;
}
#dateTimePicker .calendar_cell .dayBtn.active {
    position: relative;
    height: 100%;
    background-color: var(--dateTimePicker_calendar_cell_active_bgColor);
}
#dateTimePicker .calendar_cell .dayBtn.active::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0.3rem solid var(--dateTimePicker_calendar_cell_active_color);
}

/*-----------------------------------------------
    secFormCalendar
-----------------------------------------------*/
/* ここの書き方はcommon_form.cssに合わせる */
.secFormCalendar .thCalendar{
    width: 25.7rem;
    display: flex;
    padding-top: 4.8rem;
    letter-spacing: var(--pcLetterSpacing15_100);
    line-height: var(--pcLineHeight15_28);
}
.secFormCalendar .tdCalendar {
    display: block;
    position: relative;
}
.secFormCalendar .thCalendar .boxTit {
    display: flex;
    align-items: center;
    font-size: 0;
}
.secFormCalendar .thCalendar .tit {
    font-size: var(--pcFontSize18);
    line-height: var(--pcLineHeight18_28);
    color: var(--black_40Color);
    font-weight: bold;
}
.secFormCalendar .tdCalendar {
    padding: 2rem 0;
    width: calc(100% - 25.7rem);
}
.secFormCalendar .must{
    width: 4.6rem;
    height: 2.4rem;
    border: 0.1rem solid var(--mustColor);
    color: var(--mustColor);
    font-size: var(--pcFontSize11);
    text-align: center;
    padding-top: 0.6rem;
    margin-right: 1.4rem;
    letter-spacing: 0;
    line-height: 1;
    flex-shrink: 0;
}
.secFormCalendar .mustTit{
    font-size: var(--pcFontSize15);
    letter-spacing: var(--pcLetterSpacing15_50);
    font-weight: bold;
}
/* ここの書き方はcommon_form.cssに合わせる */

/* 注釈ボックス */
.secFormCalendar .boxNoteC {
    border: 0.1rem solid var(--textColor);
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 2rem auto;
    padding: 2rem 0 1.8rem;
}
.secFormCalendar .boxNoteC .icon {
    font-size: var(--pcFontSize13);
    margin-right: 3rem;
    display: flex;
    align-items: center;
    height: 2rem;
}
.secFormCalendar .boxNoteC .icon:last-child {
    margin-right: 0;
}
.secFormCalendar .boxNoteC .isActive {
    color: var(--dateTimePicker_available_color);
}

/* アイコン */
.secFormCalendar .icon > span {
    position: relative;
    display: inline-block;
    width: 1.8rem;
    height: 1.8rem;
    font-size: 0;
    margin-right: 0.5rem;
}
.secFormCalendar .icon > span::before,
.secFormCalendar .icon > span.isClose::after {
    position: absolute;
    content: '';
    margin: auto;
    display: block;
    top: 0.1rem;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
}

/* ご予約可能 */
.secFormCalendar .icon > span.isActive::before {
    border: 2px solid var(--dateTimePicker_available_color);
    border-radius: 50%;
}

/* 空き無し */
.secFormCalendar .icon > span.isClose::after,
.secFormCalendar .icon > span.isClose::before {
    width: 0.2rem !important;
    background-color: var(--dateTimePicker_end_color);
    transform: rotate(45deg);
}
.secFormCalendar .icon > span.isClose::after {
    transform: rotate(-45deg);
}

/* 定休日 */
.secFormCalendar .icon > span.isHoliday::before {
    content: '△';
    top: 0.3rem;
    font-size: var(--pcFontSize17);
    font-weight: bold;
}

/* 注釈テキスト */
.secFormCalendar .txtNote {
    font-size: var(--pcFontSize13);
    line-height: var(--pcLineHeight13_20);
}
.secFormCalendar .txtNote .txt {
    position: relative;
    display: block;
    padding: 0 0 0.3rem 1rem;
}
.secFormCalendar .txtNote .txt.txtRed{
    color: var(--formRedColor);
}
.secFormCalendar .txtNote .txt::before {
    position: absolute;
    content: '・';
    margin: auto;
    display: block;
    top: 0;
    left: 0;
}
@media only screen and (max-width: 1215px) {
    /* ここの書き方はcommon_form.cssに合わせる */
    .secFormCalendar {
        width: 100%;
        margin-top: 0;
        padding-top: 2rem;
        flex-direction: column;
    }
    .secFormCalendar .thCalendar {
        width: 100%;
        flex-direction: row-reverse;
        justify-content: space-between;
        padding-top: 0;
        letter-spacing: var(--spLetterSpacing0);
        line-height: var(--spLineHeight12_24);
    }
    .secFormCalendar .mustTit {
        font-size: var(--spFontSize13);
        letter-spacing: var(--spLetterSpacing0);
        font-weight: bold;
    }
    .secFormCalendar .thCalendar .tit {
        font-size: var(--spFontSize14);
        line-height: var(--spLineHeight14_21);
    }
    .secFormCalendar .tdCalendar {
        padding: 1.3rem 0 0 0;
        width: 100%;
    }
    /* ここの書き方はcommon_form.cssに合わせる */
    .secFormCalendar .boxNoteC {
        margin: 1.5rem auto;
        padding: 1.5rem 0 1.3rem;
    }
    .secFormCalendar .boxNoteC .icon {
        font-size: var(--spFontSize12);
        margin-right: 1rem;
    }
    .secFormCalendar .icon > span {
        width: 1.6rem;
        height: 1.6rem;
        margin-right: 0.5rem;
    }
    .secFormCalendar .icon > span::before,
    .secFormCalendar .icon > span.isClose::after {
        top: 0;
    }
    .secFormCalendar .icon > span.isHoliday::before {
        top: 0;
        font-size: var(--spFontSize15);
    }
    .secFormCalendar .txtNote {
        font-size: var(--spFontSize11);
        line-height: var(--spLineHeight11_20);
    }
}